# std::filesystem::recursive_directory_iterator::recursive_directory_iterator

From cppreference.com
< cpp‎ | filesystem‎ | recursive directory iterator

recursive_directory_iterator(); | (1) | (since C++17)
recursive_directory_iterator( const recursive_directory_iterator& ) = default; | (2) | (since C++17)
recursive_directory_iterator( recursive_directory_iterator&& ) = default; | (3) | (since C++17)
explicit recursive_directory_iterator( const std::filesystem::path& p, std::filesystem::directory_options options = std::filesystem::directory_options::none ); | (4) | (since C++17)
recursive_directory_iterator( const std::filesystem::path& p, std::filesystem::directory_options options, std::error_code& ec ); | (5) | (since C++17)
recursive_directory_iterator( const std::filesystem::path& p, std::error_code& ec ); | (6) | (since C++17)

Contructs new recursive directory iterator.

1) Default constructor. Constructs an end iterator.
2-3) Default copy and move constructors.
4-6) Constructs a iterator that refers to the first entry in the directory that `p` resolves to.

| This section is incomplete Reason: errors

### Parameters

| This section is incomplete

### Exceptions

1,5,6)
`noexcept` specification:
noexcept

| This section is incomplete

### Notes

Recursive directory iterators do not follow directory symlinks by default. To enable this behavior, specify `directory_options::follow_directory_symlink` among the `options` option set.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/recursive_directory_iterator/recursive_directory_iterator&oldid=91575"
Categories:

- Todo with reason
- Todo without reason
- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template